 # -*- coding: utf-8 -*-
#colors = ['000000', '00008B', '008B00', '4876FF', 'FF8C00', 'C20820', '9400D3', '8A2BE2']
#colors = ['FE0E00', 'FE7903', 'F8F400', '60FF00', '02C9B3', '02C9B3', 'D042F3', 'D042F3']
state = 'none'
file_config = 'scripts/client/mods/stat_config.xml'
config = {'colors':['FE0E00', 'FE7903', 'F8F400', '60FF00', '02C9B3', 'D042F3'], 'region':'ru', 'left':"<font color='#{color}'>*</font> {player_name}<br/>", 'right':"<font color='#{color}'>*</font> {player_name}<br/>"}
import BigWorld
def loadSettings():
    import ResMgr
    conf = ResMgr.openSection(file_config)
    global config
    config['region'] = conf['region'].asString
    config['left'] = conf['left'].asString
    config['right'] = conf['right'].asString
    config['left_medium'] = conf['left_medium'].asString
    config['right_medium'] = conf['right_medium'].asString
    config['right_medium_p'] = conf['right_medium_p'].asString
    config['left_medium_p'] = conf['left_medium_p'].asString
    subsec = conf['colors'].values()
    config['colors'] = []
    for val in subsec:
        config['colors'].append(val.asString)
    #except:
    #Настройки не загружены, работаем с дефолтом.
    #    pass
loadSettings()
#print config

def parse(string):
   import re
   try:
       #print string
       return (re.match(r"<font color='#(.*?)'>(.*?)</font>", string).group(1), re.match(r"<font color='#(.*?)'>(.*?)</font>", string).group(2))
   except:
       return ("","")


from avatar import PlayerAvatar
old__onBecomePlayer = PlayerAvatar.onBecomePlayer
players = {}
def getstat():
    global players
    from gui.battle_control.arena_info import getClientArena
    arena = getClientArena()
    if arena != None:
        #print 'Loading arena rating'
        players = []
        for pl in  arena.vehicles.values():
            players.append(str(pl['accountDBID']))
        res = ','.join(players)
        request = 'http://api.worldoftanks.{region}/wot/account/info/?application_id=demo&fields=global_rating,statistics.all.battles,statistics.all.wins&account_id={id}'.format(id=res, region=config['region']) + res
        import urllib2
        import json
        try:
            players = json.loads(urllib2.urlopen(request, timeout=30).read())['data']
        except:
            getstat()
    else:
        #print 'Error while loading!'
        players = {}

from gui.Scaleform.daapi.view.battle.PlayersPanel import PlayersPanel
old__getFormattedStrings = PlayersPanel.getFormattedStrings
def new__getFormattedStrings(self, vInfoVO, vStatsVO, ctx, fullPlayerName):
    uid = vInfoVO.player.accountDBID
    wins = players.get(str(uid), None)
    if wins == None or players == None:
        getstat()
        wins = players.get(str(uid), None)
    player_wins = wins['statistics']['all']['wins']
    player_battles = wins['statistics']['all']['battles']
    player_battles = player_battles + 1
    fullPlayerName, fragsString, shortName =  old__getFormattedStrings(self, vInfoVO, vStatsVO, ctx, fullPlayerName)
    fullPlayerName_new =  fullPlayerName.replace("<br/>", "")
    vehicle = parse(shortName.replace("<br/>", ""))[1]
    vehicle_color = parse(shortName.replace("<br/>", ""))[0]
    player_name=parse(fullPlayerName_new)[1]
    player_name_color=parse(fullPlayerName_new)[0]
    if wins != None:
        color = config['colors'][0]
        if wins['global_rating'] >= 2020 and wins['global_rating'] < 4185:
            color = config['colors'][1]
        elif wins['global_rating'] >= 4185 and wins['global_rating'] < 6340:
            color = config['colors'][2]
        elif wins['global_rating'] >= 6340 and wins['global_rating'] < 8525:
            color = config['colors'][3]
        elif wins['global_rating'] >= 8525 and wins['global_rating'] < 9930:
            color = config['colors'][4]
        elif wins['global_rating'] >= 9930:
            color = config['colors'][5]
        if vInfoVO.team != BigWorld.player().team:
            fullPlayerName = str(config['right'])
        else:
            fullPlayerName = str(config['left'])

        fullPlayerName = fullPlayerName.format(color = color, rating = wins['global_rating'], player_name=player_name, vehicle=vehicle, wins=round((player_wins * 100) / player_battles, 0), battles=player_battles, player_name_color=player_name_color, vehicle_color=vehicle_color)
        #print state, state == 'medium'
        if state == 'medium':
            fullPlayerName = (str(config['left_medium_p']) if vInfoVO.team == BigWorld.player().team else str(config['right_medium_p'])).format(color = color, rating = wins['global_rating'], player_name=player_name, vehicle=vehicle, wins=round((player_wins * 100) / player_battles, 0), battles=player_battles, player_name_color=player_name_color, vehicle_color=vehicle_color)
        shortName = (str(config['left_medium']) if vInfoVO.team == BigWorld.player().team else str(config['right_medium'])).format(color = color, rating = wins['global_rating'], vehicle=vehicle, player_name=player_name, wins=round((player_wins * 100) / player_battles, 0), battles=player_battles, player_name_color=player_name_color, vehicle_color=vehicle_color)
    return (fullPlayerName, fragsString, shortName)
PlayersPanel.getFormattedStrings = new__getFormattedStrings

from gui.battle_control.BattleContext import BattleContext
old__getFullPlayerNameWithParts = BattleContext.getFullPlayerNameWithParts

def new__getFullPlayerNameWithParts(self, vID = None, accID = None, pName = None, showVehShortName = True, showClan = True, showRegion = True):
    fullName, pName, clanAbbrev, regionCode, vehShortName = old__getFullPlayerNameWithParts(self, vID, accID, pName, showVehShortName, showClan, showRegion)
    if accID is not None:
        wins = players.get(str(accID), None)
        if wins == None or players == None:
            getstat()
            wins = players.get(str(id), None)
        if wins != None:
            fullName = str(wins['global_rating']) + ' ' + fullName
            pName = str(wins['global_rating']) + ' ' + pName
    return (fullName,
         pName,
         clanAbbrev,
         regionCode,
         vehShortName)
BattleContext.getFullPlayerNameWithParts = new__getFullPlayerNameWithParts

#onPlayersPanelStateChange
from gui.Scaleform.Battle import Battle
old__onPlayersPanelStateChange = Battle.onPlayersPanelStateChange
def new__onPlayersPanelStateChange(self, cid, stat):
    old__onPlayersPanelStateChange(self, cid, stat)
    global state
    state = stat
Battle.onPlayersPanelStateChange = new__onPlayersPanelStateChange
